SDL_GetJoystickInstanceName(3)

NAME
SDL_GetJoystickInstanceName - Get the implementation dependent name of a joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

const char* SDL_GetJoystickInstanceName(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any joysticks are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID

RETURN VALUE
Returns the name of the selected joystick. If no name can be found, this function returns NULL; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetJoystickName(3), SDL_GetJoysticks(3)